from django.shortcuts import render
from django.views.generic import ListView, DetailView

from .models import *

# Create your views here.
def Home_Views(request):
    return render(request, 'home.html', {})

class Books_Views(ListView):
    model = Book
    template_name = "books.html"
    context_object_name= 'Books_list'

class Authors_Views(ListView):
    model = Author
    template_name = "authors.html"
    context_object_name='Authors_list'

class Authors_Details_Views(DetailView):
    template_name = "author_details.html"
    model = Author
    
    def get_context_data(self, **kwargs):
        context = super(Authors_Details_Views, self).get_context_data(**kwargs)
        context ['bookdetail'] = Book.objects.filter(author=self.get_object())
        return context
    
class Book_Details_Views(DetailView):
    template_name = "book_details.html"
    model = Book
    
    def get_context_data(self, **kwargs):
        context = super(Book_Details_Views, self).get_context_data(**kwargs)
        context ['authordetail'] = Author.objects.filter(book=self.get_object())
        return context